# Voucher | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class Voucher

- Defined in src/system/voucher.ts:15

##### Index

### Constructors

constructor

### Properties

description
id
voucherType

### Methods

getIconImage
getName
getTier
validate

## Constructors

### constructor

- new Voucher(
  voucherType: VoucherType ,
  description: string,
  conditionFunc?: ConditionFn ,
  ): Voucher

  #### Parameters

  - voucherType: VoucherType
  - description: string
  - `Optional` conditionFunc: ConditionFn

  #### Returns Voucher

  - Defined in src/system/voucher.ts:22

## Properties

### description

description: string

- Defined in src/system/voucher.ts:18

### id

id: string

- Defined in src/system/voucher.ts:16

### voucherType

voucherType: VoucherType

- Defined in src/system/voucher.ts:17

## Methods

### getIconImage

- getIconImage(): string

  #### Returns string

  - Defined in src/system/voucher.ts:41

### getName

- getName(_playerGender: PlayerGender ): string

  Get the name of the voucher

  #### Parameters

  - _playerGender: PlayerGender

    this is ignored here. It's only there to match the signature of the function in the Achv class

  #### Returns string

  the name of the voucher

  - Defined in src/system/voucher.ts:37

### getTier

- getTier(): AchvTier

  #### Returns AchvTier

  - Defined in src/system/voucher.ts:45

### validate

- validate(args?: any[]): boolean

  #### Parameters

  - `Optional` args: any[]

  #### Returns boolean

  - Defined in src/system/voucher.ts:28